package de.fzj.unicore.ucc.testsuite;


public class TestResult {

  String test;
  
  String description;

  String log=null;
  
  Boolean success=Boolean.TRUE;
  
  Throwable error=null;

  //time in seconds
  float timeElapsed;

  public String toString(){
    StringBuilder sb=new StringBuilder()
    sb.append(test)
    if(timeElapsed!=0){
       sb.append(" time: ").append(String.format("%.0f sec.", timeElapsed))
    } 
    sb.append(" ").append(success ? "OK" : "FAILED");
    
    return sb.toString();
  }

}