package de.fzj.unicore.ucc.workflow;

import java.util.Map;

import junit.framework.TestCase;
import de.fzj.unicore.ucc.UCC;

public class TestWorkflowControl extends TestCase{
	
	public void testAbort()throws Exception{
		UCC.unitTesting=true;
		String[] args=new String[]{"workflow-control", "abort", "https://localhost:1234" ,"-v",
				"-c", "src/test/resources/conf/preferences"
				};
		UCC.main(args);
		assertEquals(Integer.valueOf(0),UCC.exitCode);
	}
	
	public void testResume()throws Exception{
		UCC.unitTesting=true;
		String[] args=new String[]{"workflow-control", "resume", "https://localhost:1234" ,"-v",
				"ham=spam", "foo=bar",
				"-c", "src/test/resources/conf/preferences"
		};
		UCC.main(args);
		assertEquals(Integer.valueOf(0),UCC.exitCode);
		Map<String,String>params=WorkflowControl.lastParams;
		assertNotNull(params);
		assertEquals(2, params.size());
		assertEquals("spam", params.get("ham"));
		assertEquals("bar", params.get("foo"));
	}
	
}
