/*
 * Copyright (c) 2011 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 16-05-2011
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */
package eu.unicore.ucc.ccm;

/**
 * An exception wrapping an original failure reason. Should end processing of the command.
 * @author K. Benedyczak
 */
public class CCMException extends Exception
{
	private static final long serialVersionUID = -3963076177061357105L;

	public CCMException(String message, Throwable cause)
	{
		super(message, cause);
	}
	
	public CCMException(String message)
	{
		super(message);
	}
}
