/*
 * Copyright (c) 2011 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 26-05-2011
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */
package eu.unicore.ucc.ccm;

import de.fzj.unicore.ucc.MessageWriter;

public class MockMessageWriter implements MessageWriter
{
	@Override
	public void verbose(String message)
	{
		System.out.println("VERBOSE: " + message);
	}

	@Override
	public void message(String message)
	{
		System.out.println("NORMAL: " + message);
	}

	@Override
	public void error(String message, Throwable cause)
	{
		System.out.println("ERROR: " + message);
		cause.printStackTrace(System.out);
	}

	@Override
	public boolean isVerbose()
	{
		return true;
	}
}
