package de.fzj.unicore.ucc.testsuite.util;

import java.security.MessageDigest;

public class Checksum {

	public static String checksum(String plaintext) {
		return checksum(plaintext.getBytes());
	}

        public static String checksum(File f){
                def d=MessageDigest.getInstance("MD5")
                def buffer=new byte[1024]
                def len=0
                f.withInputStream { is ->
                     while((len=is.read(buffer))>0)d.update(buffer,0,len)
                }
		return hexString(d)               
        }

	public static String checksum(byte[] input) throws Exception {
		  def d = MessageDigest.getInstance("MD5")
		  d.update(input)
		  return hexString(d)
	}

        private static String hexString(MessageDigest digest){
       	       byte[] messageDigest = digest.digest();
       	       StringBuilder hexString = new StringBuilder();
	       for (int i=0;i<messageDigest.length;i++) {
	       	   String hex = Integer.toHexString(0xFF & messageDigest[i]); 
	       	   if(hex.length()==1)hexString.append('0');
		   hexString.append(hex);
	       }
	       return hexString.toString();
        }

}