package de.fzj.unicore.ucc.workflow;

import de.fzj.unicore.ucc.MessageWriter;
import de.fzj.unicore.ucc.helpers.IResolve;
import de.fzj.unicore.ucc.helpers.Location;
import de.fzj.unicore.wsrflite.xmlbeans.client.IRegistryQuery;
import eu.unicore.util.httpclient.IClientConfiguration;

public class LocationResolver implements IResolve {

	public Location resolve(String uri, IRegistryQuery registry,IClientConfiguration security, MessageWriter messageWriter) {
		if(uri.startsWith("c9m")){
			return new LocationMapperLocation(uri,registry,security,messageWriter);
		}
		else{
			return null;
		}
	}

}
